#!/usr/bin/env python3
import csv
import mosgorsud

from argparse import ArgumentParser


if __name__ == '__main__':
    # parse arguments
    argp = ArgumentParser()
    argp.add_argument('--output', type=str, default='output.csv',
                      help='CSV output file name')
    argp.add_argument('--from', type=int, default=1, dest='_from',
                      help='First page')
    argp.add_argument('--to', type=int, default=10,
                      help='Last page')
    arg = argp.parse_args()

    # get cases
    cases = mosgorsud.get_cases(from_page=arg._from, to_page=arg.to)

    # write to csv
    f = open(arg.output, 'w', newline='')
    csv_writer = csv.writer(f)

    for case in cases:
        csv_writer.writerow((
            case['date'],
            case['statement_number'],
            case['applicant'],
            case['object'],
            case['doc_link'],
            case['violation_links']))

    f.close()
